summaryrefslogtreecommitdiffstats
path: root/system-build/share/hooks/normal/0110-remove-backup-files.hook.chroot
diff options
context:
space:
mode:
Diffstat (limited to 'system-build/share/hooks/normal/0110-remove-backup-files.hook.chroot')
-rwxr-xr-xsystem-build/share/hooks/normal/0110-remove-backup-files.hook.chroot21
1 files changed, 21 insertions, 0 deletions
diff --git a/system-build/share/hooks/normal/0110-remove-backup-files.hook.chroot b/system-build/share/hooks/normal/0110-remove-backup-files.hook.chroot
new file mode 100755
index 0000000..8fe1726
--- /dev/null
+++ b/system-build/share/hooks/normal/0110-remove-backup-files.hook.chroot
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+set -e
+
+# Remove backup files
+rm -f /boot/*.bak
+rm -f /boot/*.old-dkms
+
+rm -f /etc/apt/sources.list~
+rm -f /etc/apt/trusted.gpg~
+
+rm -f /etc/passwd-
+rm -f /etc/group-
+rm -f /etc/shadow-
+rm -f /etc/gshadow-
+
+rm -f /var/cache/debconf/*-old
+rm -f /var/lib/dpkg/*-old
+
+# Workaround for user-setup
+touch /etc/passwd-